#include <iostream>
#include <qdom.h>
#include <qfile.h>
require "qt2"
include Qt2

require "qt2xml"
include Qt2xml

f = File.new("quotes.xml")
d = QDomDocument.new
d.setContent( f.read )
n = d.firstChild()
while (!(n.nil?()))
   if(n.isElement() ) 
      e = n.toElement()
      p "The name of the element is #{e.tagName().to_str}"
      exit
   end
   n = n.nextSibling()
end
f.close()

p "no element in the Document"
false

